<template>
  <div id="trash-frame">
    <div class="items">
      <div class="img one"></div>
      <div class="text">干垃圾</div>
    </div>
    <div class="items">
      <div class="img two"></div>
      <div class="text">湿垃圾</div>
    </div>
    <div class="items">
      <div class="img three"></div>
      <div class="text">可回收垃圾</div>
    </div>
    <div class="items">
      <div class="img four"></div>
      <div class="text">有害垃圾</div>
    </div>
  </div>
</template>

<script>
export default {
  
}
</script>

<style>
#trash-frame {
  position: absolute;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  justify-items: center;
  align-items: center;
  background-color: hsl(209, 71%, 7%, .8);
  box-shadow: 0 0 0.2rem hsla(0, 0%, 0%, 0.77);
  color: #eee;
  /* font-size: 8px; */
  height: 140px;
  width: 140px;
  bottom: 0;
  right: 0;
}
.items {
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: center;
}
.img {
  height: 30px;
  width: 30px;
  mask-image: url("../assets/img/garbage.svg");
  margin-left: 2px;
}
.one {
  background-color: lightblue;
}
.two {
  background-color: lightcoral;
}
.three {
  background-color: lightgreen;
}
.four {
  background-color: lightslategray;
}
.text {
  margin-top: 3px;
  transform: scale(0.9); 
}
</style>

